Subject: [TLS] [Technical Errata Reported] RFC8446 (6136)

From: RFC Errata System <[email-masked]>
Date: Tue, 28 Apr 2020 08:42:59 -0700 (PDT)

The following errata report has been submitted for RFC8446,
"The Transport Layer Security (TLS) Protocol Version 1.3".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6136

--------------------------------------
Type: Technical
Reported by: Ben Smyth <[email-masked]>

Section: 4.1.4

Original Text
-------------
   Upon receipt of a HelloRetryRequest, the client MUST check the
   legacy_version, legacy_session_id_echo, cipher_suite, and     
   legacy_compression_method as specified in Section 4.1.3 

Corrected Text
--------------

Notes
-----
Section 4.1.3 defines no checks for legacy_version nor legacy_compression_method

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8446 (draft-ietf-tls-tls13-28)
--------------------------------------
Title               : The Transport Layer Security (TLS) Protocol Version 1.3
Publication Date    : August 2018
Author(s)           : E. Rescorla
Category            : PROPOSED STANDARD
Source              : Transport Layer Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG